//
//  RootViewController.m
//  NaviTest
//
//  Created by 若谷 純 on 09/09/07.
//  Copyright __MyCompanyName__ 2009. All rights reserved.
//

#import "RootViewController.h"


@implementation RootViewController

/*
- (void)viewDidLoad {
    [super viewDidLoad];

    // Uncomment the following line to display an Edit button in the navigation bar for this view controller.
    // self.navigationItem.rightBarButtonItem = self.editButtonItem;
}
*/

/*
- (void)viewWillAppear:(BOOL)animated {
    [super viewWillAppear:animated];
}
*/
/*
- (void)viewDidAppear:(BOOL)animated {
    [super viewDidAppear:animated];
}
*/
/*
- (void)viewWillDisappear:(BOOL)animated {
	[super viewWillDisappear:animated];
}
*/
/*
- (void)viewDidDisappear:(BOOL)animated {
	[super viewDidDisappear:animated];
}
*/

/*
 // Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
	// Return YES for supported orientations.
	return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
 */

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release anything that can be recreated in viewDidLoad or on demand.
	// e.g. self.myOutlet = nil;
}


#pragma mark Table view methods

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {
    return 10;
}


// Customize the number of rows in the table view.
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
 switch(section) {
			// 北海道
		case 0:	return 1 ;
			
			// 東北
		case 1:	return 6 ;
			
			// 関東
		case 2:	return 7 ;
			
			// 中部
		case 3:	return 5 ;
			
			// 北陸
		case 4:	return 4 ;
			
			// 近畿
		case 5:	return 7 ;
			
			// 中国
		case 6:	return 5 ;
			
			// 四国
		case 7:	return 4 ;
			
			// 九州
		case 8:	return 7 ;
			
			// 沖縄
		case 9:	return 1 ;
	}


	return 1 ;
}

// Customize the title of rows in the table view.
/*
 - (NSString *)tableView:(UITableView *)tableView titleForHeaderInSection:(NSInteger)section {
	if(section == 0)
		return @"セクション１";
	else
		return @"その他" ;
}
*/
- (NSString *)tableView:(UITableView *)tableView titleForHeaderInSection:(NSInteger)section {
	switch(section) {		
		case 0: return @"北海道";
		case 1: return @"東北";
		case 2: return @"関東";
		case 3: return @"中部";
		case 4: return @"北陸";
		case 5: return @"関西";
		case 6: return @"中国";
		case 7: return @"四国";
		case 8: return @"九州";
		case 9: return @"沖縄";
		default : return nil ;
	}
}



// Customize the appearance of table view cells.
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    
    static NSString *CellIdentifier = @"Cell";
    
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    if (cell == nil) {
        cell = [[[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:CellIdentifier] autorelease];
    }

	// Configure the cell.
	switch(indexPath.section) {
			// 北海道
		case 0:
			cell.textLabel.text = @"北海道";
			break ;
			// 東北
		case 1:
			switch(indexPath.row) {
				case 0:
					cell.textLabel.text = @"青森県";
					break ;
					
				case 1:
					cell.textLabel.text = @"岩手県";
					break ;
					
				case 2:
					cell.textLabel.text = @"宮城県";
					break ;
					
				case 3:
					cell.textLabel.text = @"秋田県";
					break ;
					
				case 4:
					cell.textLabel.text = @"山形県";
					break ;
					
				case 5:
					cell.textLabel.text = @"福島県";
					break ;
					
			}
			break ;

			// 関東
		case 2:
			switch(indexPath.row) {
				case 0:
					cell.textLabel.text = @"東京都";
					break ;
					
				case 1:
					cell.textLabel.text = @"神奈川県";
					break ;
					
				case 2:
					cell.textLabel.text = @"埼玉県";
					break ;
					
				case 3:
					cell.textLabel.text = @"茨城県";
					break ;
					
				case 4:
					cell.textLabel.text = @"栃木県";
					break ;
					
				case 5:
					cell.textLabel.text = @"群馬県";
					break ;
					
				case 6:
					cell.textLabel.text = @"千葉県";
					break ;
			}
			break ;
			
			// 中部
		case 3:
			switch(indexPath.row) {
				case 0:
					cell.textLabel.text = @"愛知県";
					break ;
					
				case 1:
					cell.textLabel.text = @"岐阜県";
					break ;
					
				case 2:
					cell.textLabel.text = @"静岡県";
					break ;
					
				case 3:
					cell.textLabel.text = @"長野県";
					break ;
					
				case 4:
					cell.textLabel.text = @"山梨県";
					break ;
			}
			break ;
		
			// 北陸
		case 4:
			switch(indexPath.row) {
				case 0:
					cell.textLabel.text = @"新潟県";
					break ;
					
				case 1:
					cell.textLabel.text = @"石川県";
					break ;
					
				case 2:
					cell.textLabel.text = @"富山県";
					break ;
					
				case 3:
					cell.textLabel.text = @"福井県";
					break ;
			}
			break ;
			
			// 近畿
		case 5:
			switch(indexPath.row) {
				case 0:
					cell.textLabel.text = @"滋賀県";
					break ;
					
				case 1:
					cell.textLabel.text = @"京都府";
					break ;
					
				case 2:
					cell.textLabel.text = @"奈良県";
					break ;
					
				case 3:
					cell.textLabel.text = @"三重県";
					break ;
					
				case 4:
					cell.textLabel.text = @"和歌山県";
					break ;
					
				case 5:
					cell.textLabel.text = @"大阪府";
					break ;
					
				case 6:
					cell.textLabel.text = @"兵庫県";
					break ;
					
			}
			break ;
			
			// 中国
		case 6:
			switch(indexPath.row) {
				case 0:
					cell.textLabel.text = @"鳥取県";
					break ;
					
				case 1:
					cell.textLabel.text = @"島根県";
					break ;
					
				case 2:
					cell.textLabel.text = @"岡山県";
					break ;
					
				case 3:
					cell.textLabel.text = @"広島県";
					break ;
					
				case 4:
					cell.textLabel.text = @"山口県";
					break ;
			}
			break ;
			
			// 四国
		case 7:
			switch(indexPath.row) {
				case 0:
					cell.textLabel.text = @"徳島県";
					break ;
					
				case 1:
					cell.textLabel.text = @"愛媛県";
					break ;
					
				case 2:
					cell.textLabel.text = @"香川県";
					break ;
					
				case 3:
					cell.textLabel.text = @"高知県";
					break ;
			}
			break ;
			
			// 九州
		case 8:
			switch(indexPath.row) {
				case 0:
					cell.textLabel.text = @"福岡県";
					break ;
					
				case 1:
					cell.textLabel.text = @"佐賀県";
					break ;
					
				case 2:
					cell.textLabel.text = @"長崎県";
					break ;
					
				case 3:
					cell.textLabel.text = @"熊本県";
					break ;
					
				case 4:
					cell.textLabel.text = @"大分県";
					break ;
					
				case 5:
					cell.textLabel.text = @"鹿児島県";
					break ;
					
				case 6:
					cell.textLabel.text = @"宮崎県";
					break ;
			}
			break ;
			
			// 沖縄
		case 9:
			cell.textLabel.text = @"沖縄県";
	}

	return cell;
}



// Override to support row selection in the table view.
- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {

    // Navigation logic may go here -- for example, create and push another view controller.
	// AnotherViewController *anotherViewController = [[AnotherViewController alloc] initWithNibName:@"AnotherView" bundle:nil];
	// [self.navigationController pushViewController:anotherViewController animated:YES];
	// [anotherViewController release];

	SubView7Controller *sub7 = [[SubView7Controller alloc] initWithNibName:@"SubView7" bundle:[NSBundle mainBundle]] ;

	// Configure the cell.
	switch(indexPath.section) {
			// 北海道
		case 0:
			break ;
			// 東北
		case 1:
			switch(indexPath.row) {
				case 0:
					break ;
					
				case 1:
					break ;
					
				case 2:
					break ;
					
				case 3:
					break ;
					
				case 4:
					break ;
					
				case 5:
					break ;
					
			}
			break ;
			
			// 関東
		case 2:
			switch(indexPath.row) {
				case 0:
					[self.navigationController pushViewController:sub7 animated:YES] ;
					[sub7 release] ;
					break ;
					
				case 1:
					break ;
					
				case 2:
					break ;
					
				case 3:
					break ;
					
				case 4:
					break ;
					
				case 5:
					break ;
					
				case 6:
					break ;
			}
			break ;
			
			// 中部
		case 3:
			switch(indexPath.row) {
				case 0:
					break ;
					
				case 1:
					break ;
					
				case 2:
					break ;
					
				case 3:
					break ;
					
				case 4:
					break ;
			}
			break ;
			
			// 北陸
		case 4:
			switch(indexPath.row) {
				case 0:
					break ;
					
				case 1:
					break ;
					
				case 2:
					break ;
					
				case 3:
					break ;
			}
			break ;
			
			// 近畿
		case 5:
			switch(indexPath.row) {
				case 0:
					break ;
					
				case 1:
					break ;
					
				case 2:
					break ;
					
				case 3:
					break ;
					
				case 4:
					break ;
					
				case 5:
					break ;
					
				case 6:
					break ;
					
			}
			break ;
			
			// 中国
		case 6:
			switch(indexPath.row) {
				case 0:
					break ;
					
				case 1:
					break ;
					
				case 2:
					break ;
					
				case 3:
					break ;
					
				case 4:
					break ;
			}
			break ;
			
			// 四国
		case 7:
			switch(indexPath.row) {
				case 0:
					break ;
					
				case 1:
					break ;
					
				case 2:
					break ;
					
				case 3:
					break ;
			}
			break ;
			
			// 九州
		case 8:
			switch(indexPath.row) {
				case 0:
					break ;
					
				case 1:
					break ;
					
				case 2:
					break ;
					
				case 3:
					break ;
					
				case 4:
					break ;
					
				case 5:
					break ;
					
				case 6:
					break ;
			}
			break ;
			
			// 沖縄
		case 9:
			break ;
	}
}


/*
// Override to support conditional editing of the table view.
- (BOOL)tableView:(UITableView *)tableView canEditRowAtIndexPath:(NSIndexPath *)indexPath {
    // Return NO if you do not want the specified item to be editable.
    return YES;
}
*/


/*
// Override to support editing the table view.
- (void)tableView:(UITableView *)tableView commitEditingStyle:(UITableViewCellEditingStyle)editingStyle forRowAtIndexPath:(NSIndexPath *)indexPath {
    
    if (editingStyle == UITableViewCellEditingStyleDelete) {
        // Delete the row from the data source.
        [tableView deleteRowsAtIndexPaths:[NSArray arrayWithObject:indexPath] withRowAnimation:UITableViewRowAnimationFade];
    }   
    else if (editingStyle == UITableViewCellEditingStyleInsert) {
        // Create a new instance of the appropriate class, insert it into the array, and add a new row to the table view.
    }   
}
*/


/*
// Override to support rearranging the table view.
- (void)tableView:(UITableView *)tableView moveRowAtIndexPath:(NSIndexPath *)fromIndexPath toIndexPath:(NSIndexPath *)toIndexPath {
}
*/


/*
// Override to support conditional rearranging of the table view.
- (BOOL)tableView:(UITableView *)tableView canMoveRowAtIndexPath:(NSIndexPath *)indexPath {
    // Return NO if you do not want the item to be re-orderable.
    return YES;
}
*/


- (void)dealloc {
    [super dealloc];
}


@end

